%define        plugindir    %{_libdir}/ladspa
%define        srcname      ladspa-%{version}

##the date of the last commit from the git repos
##from master/HEAD (_
##define        gitcodate      20160318git

Name:          ladspa-plugins-swh
Version:       0.4.17
Release:       %mkrel 7
Summary:       Audio plugins for LADSPA
License:       GPLv2
Group:         Sound/Editors and Converters

URL:           https://github.com/swh/ladspa
Source0:       https://github.com/swh/ladspa/archive/v%{version}/%{srcname}.tar.gz
# Set CFLAGS (especially -fPIC) even if like on armv7hl -march is given
Patch0:        ladspa-plugins-swh-0.4.17-cflags.patch
#fix latex error in docs
Patch1:        ladspa-plugins-swh-0.4.17-docs.patch

BuildRequires: ladspa-devel
BuildRequires: fftw-devel
BuildRequires: gettext
BuildRequires: latex
#because building needs /usr/share/texmf-dist/fonts/map/dvips/updmap/psfonts.map
BuildRequires: texlive-dist
BuildRequires: ghostscript-common
BuildRequires: gettext-devel
BuildRequires: libxml2-utils

Requires:      ladspa
Provides:      ladspa-swh = %{version}-%{release}
Provides:      swh-plugins = %{version}-%{release}

%description
The Steve Harris' LADSPA Plugins provide more than a hundred of
high-end audio plugins for the Linux Audio Developers Simple Plugin
Architecture that allow various audio processing within any program
using the LADSPA library. For instance, they allow to perform audio
aliasing, adding delay line, changing the pitch, interpolating,
amplifying, generating an analogic oscillator, filtering...

%prep
%setup -q -n %{srcname}
%autopatch -p1

%build
autoreconf -fi

%configure --disable-rpath --disable-static
%make_build
pushd docs
%make_build ladspa-swh.pdf
popd

%install
pushd .libs
%__install -d %{buildroot}%{plugindir}
%__install -m 755 -t %{buildroot}%{plugindir} *.so
popd
pushd docs
%__install -D -m 644 ladspa-swh.dvi %{buildroot}%{_docdir}/%{name}/ladspa-swh.dvi
%__install -D -m 644 ladspa-swh.ps %{buildroot}%{_docdir}/%{name}/ladspa-swh.ps
%__install -D -m 644 ladspa-swh.pdf %{buildroot}%{_docdir}/%{name}/ladspa-swh.pdf
%__install -D -m 644 ladspa-swh.tex %{buildroot}%{_docdir}/%{name}/ladspa-swh.tex
popd

%files
%doc README AUTHORS TODO
%license COPYING
%{_docdir}/%{name}/*
%dir %{plugindir}
%{plugindir}/*.so


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.4.17-7.mga10
+ Revision: 2222465
- Mageia 10 Mass Rebuild

* Sat May 04 2024 eatdirt <eatdirt> 0.4.17-6.mga10
+ Revision: 2062079
- Update url

* Sat May 20 2023 daviddavid <daviddavid> 0.4.17-5.mga9
+ Revision: 1957419
- provide also swh-plugins
- add Source Url

* Fri Apr 01 2022 umeabot <umeabot> 0.4.17-4.mga9
+ Revision: 1839660
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.4.17-3.mga8
+ Revision: 1513847
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4.17-2.mga7
+ Revision: 1298710
- Mageia 7 Mass Rebuild

* Fri Dec 02 2016 eatdirt <eatdirt> 0.4.17-1.mga6
+ Revision: 1071704
- Upgrade to latest stable version

* Fri Oct 07 2016 pterjan <pterjan> 0-0.20160318git.2.mga6
+ Revision: 1059296
- Use -fPIC even if like on armv7hl CFLAGS contain -march

* Fri Mar 18 2016 eatdirt <eatdirt> 0-0.20160318git.1.mga6
+ Revision: 992840
- Upgrade to latest git

* Mon Feb 15 2016 umeabot <umeabot> 0-0.20151109git.2.mga6
+ Revision: 960894
- Mageia 6 Mass Rebuild

* Sun Nov 22 2015 eatdirt <eatdirt> 0-0.20151109git.1.mga6
+ Revision: 904897
- Upgrade to latest git commit

* Sat Oct 10 2015 eatdirt <eatdirt> 0-0.20151010git.1.mga6
+ Revision: 888679
- Upgrade to latest version

* Tue Jul 28 2015 eatdirt <eatdirt> 0-0.20141117git.1.mga6
+ Revision: 858719
- Fix missing BuildRequires
- imported package ladspa-plugins-swh


* Wed Nov 19 2014 Chris Ringeval <eatdirt@mageia.org> 0-0.20141117git.1.mga5
  Importing ladspa swh plugins
